import Vue from 'vue';
import Vuex from 'vuex';
import site from '@common/store/site';
import link from '@common/store/gov/link';
import affairsColumn from '@common/store/gov/affairsColumn';
import affairsNews from '@common/store/gov/affairsNews';
import * as ustate from '@common/store/user/state';
import * as umutations from '@common/store/user/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: { affairsColumn, affairsNews, site, link },
});
